Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Reverse_Iterator Class Template Reference

Defines the reverse iterator interface. More...

`#include <Map_T.h>`

Collaboration diagram for ACE_Reverse_Iterator:

[legend]
List of all members.

## Public Types
typedef T | value_type
typedef ACE_Reverse_Iterator_Impl< T> | implementation
## Public Methods
| ACE_Reverse_Iterator (ACE_Reverse_Iterator_Impl<T> *impl)
| Constructor.
| ACE_Reverse_Iterator (const ACE_Reverse_Iterator<T> &rhs)
| Copy constructor.
| ~ACE_Reverse_Iterator (void)
| Destructor.
ACE_Reverse_Iterator<T>& | operator= (const ACE_Reverse_Iterator<T> &rhs)
| Assignment operator.
int | operator== (const ACE_Reverse_Iterator<T> &rhs) const
| Comparison operators.
int | operator!= (const ACE_Reverse_Iterator<T> &rhs) const
T | operator * () const
| Dereference operator.
ACE_Reverse_Iterator<T>& | operator++ (void)
| Prefix advance.
ACE_Reverse_Iterator<T> | operator++ (int)
| Postfix advance.
ACE_Reverse_Iterator<T>& | operator-- (void)
| Prefix reverse.
ACE_Reverse_Iterator<T> | operator-- (int)
| Postfix reverse.
ACE_Reverse_Iterator_Impl<T>& | impl (void)
| Accessor to implementation object.
## Protected Attributes
ACE_Reverse_Iterator_Impl<T>* | implementation_
| Implementation pointer.

## Detailed Description

### template<class T> template class ACE_Reverse_Iterator

Defines the reverse iterator interface.

Implementation to be provided by forwarding.

## Member Typedef Documentation

template<classT>
typedef ACE_Reverse_Iterator_Impl<T> ACE_Reverse_Iterator<T>::implementation

template<classT>
typedef T ACE_Reverse_Iterator<T>::value_type

## Constructor & Destructor Documentation

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T >::ACE_Reverse_Iterator<T> ( | ACE_Reverse_Iterator_Impl< T >* impl )

| Constructor.

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T >::ACE_Reverse_Iterator<T> ( | const ACE_Reverse_Iterator< T >& rhs )

| Copy constructor.

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T >::~ACE_Reverse_Iterator<T> ( | void )

| Destructor.

## Member Function Documentation

template<classT>
ACE_INLINE ACE_Reverse_Iterator_Impl< T >& ACE_Reverse_Iterator< T >::impl ( | void )

| Accessor to implementation object.

template<classT>
ACE_INLINE T ACE_Reverse_Iterator< T >::operator * ( | void ) const

| Dereference operator.

template<classT>
ACE_INLINE int ACE_Reverse_Iterator< T >::operator!= ( | const ACE_Reverse_Iterator< T >& rhs ) const

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T > ACE_Reverse_Iterator< T >::operator++ ( | int )

| Postfix advance.

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T >& ACE_Reverse_Iterator< T >::operator++ ( | void )

| Prefix advance.

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T > ACE_Reverse_Iterator< T >::operator-- ( | int )

| Postfix reverse.

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T >& ACE_Reverse_Iterator< T >::operator-- ( | void )

| Prefix reverse.

template<classT>
ACE_INLINE ACE_Reverse_Iterator< T >& ACE_Reverse_Iterator< T >::operator= ( | const ACE_Reverse_Iterator< T >& rhs )

| Assignment operator.

template<classT>
ACE_INLINE int ACE_Reverse_Iterator< T >::operator== ( | const ACE_Reverse_Iterator< T >& rhs ) const

| Comparison operators.

## Member Data Documentation

template<classT>
ACE_Reverse_Iterator_Impl< T >* ACE_Reverse_Iterator<T>::implementation_`[protected]`

| Implementation pointer.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i